This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 426876 - OOo has crashed on F8 Live parsing a corrupt .afm
OOo has crashed on F8 Live parsing a corrupt .afm
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-27 14:55 EST by Leonardo Scandura Neto
Modified: 2008-04-22 18:41 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.3.0-6.14.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-22 18:41:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Info about crash (7.70 KB, text/plain)
2007-12-27 14:55 EST, Leonardo Scandura Neto
no flags Details
strace (1.38 MB, text/plain)
2008-01-07 06:12 EST, Leonardo Scandura Neto
no flags Details
courbi.afm (29.28 KB, application/octet-stream)
2008-01-07 08:54 EST, Leonardo Scandura Neto
no flags Details
what you *should* have had (29.28 KB, text/plain)
2008-01-07 10:11 EST, Caolan McNamara
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 85055 None None None Never

  None (edit)
Description Leonardo Scandura Neto 2007-12-27 14:55:52 EST
Description of problem:

I installed Fedora 8 from GNOME Live Media i686 (one CD). I installed
OpenOffice.org from yum and it don't work.

Version-Release number of selected component (if applicable):

openoffice.org-writer-2.3.0-6.7.fc8
openoffice.org-core-2.3.0-6.7.fc8

How reproducible:

Always.

Steps to Reproduce:
1. Install Fedora 8 from GNOME Live Media i686 and update your system with yum.
2. Install openoffice.org-writer from yum (yum install openoffice.org-writer)
3. Run Applications -> Office -> Word Processor
  
Actual results:

OOo has crashed.

Expected results:

Open the Word Processor.

Additional info:

I got the same error in two different systems (hardware).
stackreport and other infos about my system in attach.
Comment 1 Leonardo Scandura Neto 2007-12-27 14:55:52 EST
Created attachment 290457 [details]
Info about crash
Comment 2 Caolan McNamara 2007-12-29 10:07:12 EST
Hmm, that's very interesting. Apparently we are crashing on reading the contents
of some .afm file or other, but not here locally for me, so can you do this for
me so that we can identify *which* .afm is the problem. run from a terminal...

strace -f /usr/lib/openoffice.org/program/swriter.bin -writer > /tmp/run.log 2>&1

and attach the /tmp/run.log to this issue afterwards, (yum install strace if
necessary)
Comment 3 Leonardo Scandura Neto 2008-01-07 06:12:35 EST
Created attachment 290943 [details]
strace

Result of strace
Comment 4 Leonardo Scandura Neto 2008-01-07 06:14:09 EST
Sorry the delay, i was on vacation.
Comment 5 Caolan McNamara 2008-01-07 06:40:51 EST
Hmm, can you attach your /usr/share/X11/fonts/Type1/courbi.afm as well on the
basis that it's the last one opened, my one looks ok, but maybe there'll be some
difference.
Comment 6 Leonardo Scandura Neto 2008-01-07 08:54:49 EST
Created attachment 290952 [details]
courbi.afm

/usr/share/X11/fonts/Type1/courbi.afm
Comment 7 Caolan McNamara 2008-01-07 10:09:53 EST
Sweet, that's totally and completely corrupt :-) I'll attach a replacement for
you, and see if that makes OOo work again.
Comment 8 Caolan McNamara 2008-01-07 10:11:14 EST
Created attachment 290959 [details]
what you *should* have had
Comment 9 Caolan McNamara 2008-01-07 10:51:28 EST
So, the real problem is (at least one) broken .afm so you should try and fix
that, either by just trying the above, or by re-installing xorg-x11-fonts-Type1

Nevertheless we shouldn't have crashed so if there is another OOo update this
will be fixed in >= openoffice.org-2.3.0-6.11.fc8
Comment 10 Fedora Update System 2008-03-20 04:07:27 EDT
openoffice.org-2.3.0-6.12.fc8 has been submitted as an update for Fedora 8
Comment 11 Fedora Update System 2008-03-21 18:01:52 EDT
openoffice.org-2.3.0-6.12.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2552
Comment 12 Fedora Update System 2008-04-08 14:40:50 EDT
openoffice.org-2.3.0-6.13.fc8 has been submitted as an update for Fedora 8
Comment 13 Fedora Update System 2008-04-17 14:38:31 EDT
openoffice.org-2.3.0-6.14.fc8 has been submitted as an update for Fedora 8
Comment 14 Fedora Update System 2008-04-22 18:41:15 EDT
openoffice.org-2.3.0-6.14.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.